# Vue 3 + Vite + Primevue

MP componentes par interactuar con ms-forms
setup docs](https://v3.vuejs.org/api/sfc-script-setup.html#sfc-script-setup) to learn more.

## How to use
1.- Install component
```console
$ npm i vue3-draggable
$ npm i vue-ms-forms-plugin
```
2.- In main.js file
```javascript
import Draggable from "vue3-draggable";
import MsFormsPugin from 'vue-ms-forms-plugin';
import 'vue-ms-forms-plugin/dist/style.css';
...
app.component('Draggable', Draggable);
app.use(MsFormsPugin, {
  useServices: true, // si su proyecto ya usa primevue [false]
  usePrimeVue: true, // si su proyecto ya usa primevue [false]
  useDirectives: true, // si su proyecto ya usa primevue [false]
});
```

## Components
1. ManageForm
```html
<ManageForm
  ref="formRef"
  :back-url="backUrl"
  app-tag="test-app"
  token="sometoken"
  :form-type="tipoFormulario"
  show-response-json
>
  <template #options="{ loading, isSmall }">
    <Button
      class="p-button-help p-button-outlined"
      :loading="loading"
      icon="pi pi-printer"
      :label="isSmall ? undefined : 'Struct'"
      @click="onGetResultStructure"
    />
  </template>
</ManageForm>
``` 

2. ResponseForm 

```html
<ResponseForm
  :form-type="tipoFormulario"
  :answered-by="{ funcId: 66, ci: '10529939', nombreCompleto: 'Erwin Ramiro Flores Marca' }"
  :back-url="backUrl"
  :no-save="false"
  token="sometoken"
  buttons-position="bottom"
  :columns="1"
/>
```